# User Repository implemented using Sequelize
It is implementation of user repository interface specified in [passport-jwt-wrapper](https://www.npmjs.com/package/@goodrequest/passport-jwt-wrapper) library.

## Installation
`npm i --save @goodrequest/user-repository-sequelize`

## Usage
```typescript
import { UserRepository } from '@goodrequest/user-repository-sequelize'
import { models } from './db/models'

initAuth(passport, {
	userRepository: new UserRepository(models.User),
	refreshTokenRepository
})
```
