import { Model } from 'sequelize';
export declare class UserModel extends Model {
    id: number;
    email: string;
    emailSlug: string;
    name?: string;
    nameSlug?: string;
    surname?: string;
    surnameSlug?: string;
    hash: string;
    confirmedAt: string;
    createdBy: number;
    creator: UserModel;
    updatedBy: number;
    editor: UserModel;
    deletedBy: number;
    destructor: UserModel;
    createdAt: string;
    updatedAt: string;
    deletedAt: string;
}
declare const _default: typeof UserModel;
export default _default;
